Package org.h2.engine

# Enum Class Mode.CharPadding

java.lang.Object
java.lang.Enum<Mode.CharPadding>
org.h2.engine.Mode.CharPadding

All Implemented Interfaces:
  `Serializable`, `Comparable<Mode.CharPadding>`, `Constable`

Enclosing class:
  Mode

public static enum Mode.CharPadding extends Enum<Mode.CharPadding>
When CHAR values are right-padded with spaces.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS`
CHAR values are always right-padded with spaces.
`IN_RESULT_SETS`
Spaces are trimmed from the right side of CHAR values, but CHAR values in result sets are right-padded with spaces to the declared length
`NEVER`
Spaces are trimmed from the right side of CHAR values.

## Method Summary

Modifier and Type
Method
Description
`static Mode.CharPadding`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Mode.CharPadding[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALWAYS

public static final Mode.CharPadding ALWAYS
CHAR values are always right-padded with spaces.

### IN_RESULT_SETS

public static final Mode.CharPadding IN_RESULT_SETS
Spaces are trimmed from the right side of CHAR values, but CHAR values in result sets are right-padded with spaces to the declared length

### NEVER

public static final Mode.CharPadding NEVER
Spaces are trimmed from the right side of CHAR values.

## Method Details

### values

public static Mode.CharPadding[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Mode.CharPadding valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null